Set AI Actions order
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/ai-actions/order \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"orderByActionId": [
123
]
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/ai-actions/order"
payload = { "orderByActionId": [123] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({orderByActionId: [123]})
};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/ai-actions/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>"
}Set AI Actions order
Change the order of AI actions. Post the new order of all AI Actions by ID. You need to specify all AI Actions here. If not, an error will be thrown.
POST
/
api
/
{projectId}
/
ai-actions
/
order
Set AI Actions order
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Body
application/json
Was this page helpful?
⌘I